### Function

# ICalGLib vcard_parser_set_xprop_value_kind

since: 4.0

#### Declaration [src]

    void
    i_cal_vcard_parser_set_xprop_value_kind (
      ICalVcardXpropValueKindFunc callback,
      gpointer data
    )

#### Description [src]

Registers a parser callback to override the default value type of an x-property.

Available since: 4.0

This function is not directly available to language bindings.

#### Parameters

`callback`

  Type: `ICalVcardXpropValueKindFunc`

  The callback function.

`data`

  Type: `gpointer`

  The user data for the callback function.

  The argument can be `NULL`.
  The data is owned by the caller of the function.